------------------------------------------------------------------------------
--                                                                          --
--                            GCH COMPONENTS                                --
--                                                                          --
--                          G C H . G L O B A L S                           --
--                                                                          --
--                              B o d y                                     --
--                                                                          --
--                                                                          --
--              Copyright (c) 1999, Vitali Sh.Kaufman.                      --
--                                                                          --
--  Gch is distributed as free software; that is with full sources          --
--  and in the hope that it will be useful, but WITHOUT ANY WARRANTY;       --
--  without even the implied warranty of MERCHANTABILITY or FITNESS         --
--  FOR A PARTICULAR PURPOSE. You can freely copy, modify and redistribute  --
--  this software, provided that full sources are available for the version --
--  being distribute (original and modified), and for a modified version,   --
--  any changes that you have made are clearly indicated.                   --
--                                                                          --
--  Gch was developed by Vitali Sh. Kaufman using a prototype               --
--  and consultations by Sergey I. Rybin.                                   --
------------------------------------------------------------------------------

package body Gch.Globals is

   ---------------------------
   -- Reset_Unit_Statistics --
   ---------------------------

   procedure Reset_Unit_Statistics is
   begin
      Errors_Per_Unit   := 0;
      Warnings_Per_Unit := 0;
      Failures_Per_Unit := 0;
   end Reset_Unit_Statistics;

   ------------------------------
   -- Update_Global_Statistics --
   ------------------------------

   procedure Update_Global_Statistics is
   begin
      Checked_Units  := Checked_Units + 1;
      Total_Errors   := Total_Errors + Errors_Per_Unit;
      Total_Warnings := Total_Warnings + Warnings_Per_Unit;
      Total_Failures := Total_Failures + Failures_Per_Unit;
   end Update_Global_Statistics;

end Gch.Globals;